修改用户
PUT /accounts/{account_id}/core/v1/users/{user_id}
将整个存储资源替换为提供的 JSON 请求正文,同时保留不可由用户修改的键值。
参数
| 名称 | Type | 在 | Required | Description |
|---|---|---|---|---|
account_id |
string |
path |
True |
包含帐户资源的 ID
|
用户 ID |
string |
path |
True |
要列出的用户集合的 ID |
请求正文
将整个存储资源替换为提供的 JSON 请求正文,同时保留不可由用户修改的键值。
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
资源的媒体类型。定义的值为:
|
version |
string |
True |
资源的版本。定义的值为:
|
id |
string |
False |
资源的全局唯一标识符。定义的值为:
|
状态 |
string |
False |
包含指示用户操作状态的值的 JSON 字符串。定义的值为:
|
isEnabled |
string |
False |
指示是否允许用户登录的 JSON 字符串。定义的值为:
|
authID |
string |
False |
包含与外部标识提供程序关联的标识符的 JSON 字符串。此字符串的内容取决于指定的 authProvider。对于 "authProvider" 为 "local" 的用户,"authID" 设置为 "email" 的值。对于 "authProvider" 为 "ldap" 的用户,"authID" 设置为其来自 LDAP 服务器的可分辨名称 (DN)。 |
authProvider |
string |
False |
表示 idAuth 标识符上下文的 JSON 字符串。定义的值为:
|
firstName |
string |
False |
包含用户指定的长格式名字的 JSON 字符串。定义的值为:
|
lastName |
string |
False |
包含用户指定的长格式姓氏的 JSON 字符串。定义的值为:
|
companyName |
string |
False |
包含与用户关联的公司名称的 JSON 字符串。如果此密钥不存在,则表示未提供公司名称。定义的值为:
|
电子邮件 |
string |
False |
包含用户指定的电子邮件地址的 JSON 字符串。 |
电话 |
string |
False |
包含用户电话号码的 JSON 字符串。如果此密钥不存在,则表示未提供电话号码。 |
postalAddress |
False |
JSON 对象包含指定地址的字段集合。如果此 key 不存在,则表示未提供地址。如果此 key 存在,则所有六个包含的字段都将存在。如果用户未提供任何内容,则字符串将为空。 |
|
sendWelcomeEmail |
string |
False |
表示是否在验证后发送欢迎电子邮件的 JSON 字符串。如果在创建时未指定,则 ACS 的值将设置为 "true",Astra Control Center 的值将设置为 "false"。定义的值为:
|
enableTimestamp |
string |
False |
包含 ISO-8601 格式时间戳的 JSON 字符串,指示上次启用用户的时间。定义的值为:
|
lastActTimestamp |
string |
False |
包含 ISO-8601 格式时间戳的 JSON 字符串,指示上次代表此用户调用身份 API 的时间。(注:这是昂贵的。)定义的值为:
|
元数据 |
False |
与资源关联的客户端和服务指定的元数据。定义的值为:
|
请求示例
{
"type": "application/astra-user",
"version": "1.2",
"firstName": "John",
"lastName": "Dale",
"email": "jdale@example.com"
}
响应
Status: 204, Indicates if the user resource was updated.
响应
Status: 401, Unauthorized
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
标题 |
string |
True |
|
详细信息 |
string |
True |
|
状态 |
string |
True |
|
correlationID |
string |
False |
响应示例
{
"type": "https://astra.netapp.io/problems/3",
"title": "Missing bearer token",
"detail": "The request is missing the required bearer token.",
"status": "401"
}
响应
Status: 400, Bad request
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
标题 |
string |
True |
|
详细信息 |
string |
True |
|
状态 |
string |
True |
|
correlationID |
string |
False |
|
invalidFields |
数组["invalidFields"] |
False |
无效请求正文字段列表 |
响应示例
{
"type": "https://astra.netapp.io/problems/5",
"title": "Invalid query parameters",
"detail": "The supplied query parameters are invalid.",
"status": "400"
}
响应
Status: 409, Conflict
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
标题 |
string |
True |
|
详细信息 |
string |
True |
|
状态 |
string |
True |
|
correlationID |
string |
False |
|
invalidFields |
数组["invalidFields"] |
False |
无效请求正文字段列表 |
响应示例
{
"type": "https://astra.netapp.io/problems/10",
"title": "JSON resource conflict",
"detail": "The request body JSON contains a field that conflicts with an idempotent value.",
"status": "409"
}
响应
Status: 403, Forbidden
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
标题 |
string |
True |
|
详细信息 |
string |
True |
|
状态 |
string |
True |
|
correlationID |
string |
False |
响应示例
{
"type": "https://astra.netapp.io/problems/11",
"title": "Operation not permitted",
"detail": "The requested operation isn't permitted.",
"status": "403"
}
错误
Status: 404, Not found
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
标题 |
string |
True |
|
详细信息 |
string |
True |
|
状态 |
string |
True |
|
correlationID |
string |
False |
错误响应示例
{
"type": "https://astra.netapp.io/problems/1",
"title": "Resource not found",
"detail": "The resource specified in the request URI wasn't found.",
"status": "404"
}
定义
查看定义
postalAddress
JSON 对象包含指定地址的字段集合。如果此 key 不存在,则表示未提供地址。如果此 key 存在,则所有六个包含的字段都将存在。如果用户未提供任何内容,则字符串将为空。
| 名称 | Type | Required | Description |
|---|---|---|---|
addressCountry |
string |
True |
包含与邮政地址关联的国家/地区名称或国家/地区代码的 JSON 字符串,如 ISO 3166 Alpha-2 中所指定。定义的值为:
|
addressLocality |
string |
True |
包含与邮政地址关联的地点(例如城市)的 JSON 字符串。定义的值为:
|
addressRegion |
string |
True |
包含与邮政地址关联的区域(例如州)的 JSON 字符串。定义的值为:
|
postalCode |
string |
True |
包含与邮政地址关联的邮政编码的 JSON 字符串。定义的值为:
|
streetAddress1 |
string |
True |
包含与邮政地址关联的街道地址的 JSON 字符串。定义的值为:
|
streetAddress2 |
string |
False |
包含可选辅助街道地址信息、邮政信箱等的 JSON 字符串。定义的值为:
|
类型 Astra 标签
| 名称 | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
|
value |
string |
True |
type_astra_metadata_update
与资源关联的客户端和服务指定的元数据。定义的值为:
-
符合 Astra 元数据架构如果在创建时未指定,则将创建没有标签的元数据对象。如果在更新时未指定,则元数据对象的标签、creationTimestamp 和 createdBy 将保留而不进行修改。
| 名称 | Type | Required | Description |
|---|---|---|---|
labels |
数组["类型 Astra 标签"] |
False |
|
creationTimestamp |
string |
False |
|
modificationTimestamp |
string |
False |
|
已创建 |
string |
False |
|
modifiedBy |
string |
False |
invalidParams
| 名称 | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
无效查询参数的名称 |
原因 |
string |
True |
查询参数无效的原因 |
invalidFields
| 名称 | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
无效请求正文字段的名称 |
原因 |
string |
True |
请求正文字段无效的原因 |